CREATE TABLE bm_config_layout_perm (
    ID                  NUMBER(18, 0) ,
    LAYOUT_ACCESS_ID    NUMBER(18, 0)     NOT NULL,
    REF_TYPE            NUMBER(5, 0)      NOT NULL,
    COMPANY_TYPE        NUMBER(5, 0)      NOT NULL,
    USER_TYPE           NUMBER(5, 0)      NOT NULL,
    GROUP_ID            NUMBER(18, 0)     NOT NULL,
    GUID                VARCHAR2(1020)    NOT NULL,
    DATE_ADDED          TIMESTAMP(6)      NOT NULL,
    DATE_MODIFIED       TIMESTAMP(6)      NOT NULL,
    LAYOUT_TYPE         NUMBER(5, 0)      NOT NULL,
    ID                  NUMBER(18, 0) ,
    LAYOUT_ACCESS_ID    NUMBER(18, 0)     NOT NULL,
    REF_TYPE            NUMBER(5, 0)      NOT NULL,
    COMPANY_TYPE        NUMBER(5, 0)      NOT NULL,
    USER_TYPE           NUMBER(5, 0)      NOT NULL,
    GROUP_ID            NUMBER(18, 0)     NOT NULL,
    GUID                VARCHAR2(1020)    NOT NULL,
    DATE_ADDED          TIMESTAMP(6)      NOT NULL,
    DATE_MODIFIED       TIMESTAMP(6)      NOT NULL,
    LAYOUT_TYPE         NUMBER(5, 0)      NOT NULL,
    CONSTRAINT pk_bm_config_layout_perm PRIMARY KEY (ID, ID)
);
